# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..11\n"; }
END {print "not ok 1\n" unless $loaded;}
use IniConf::Tied;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my %foo;
tie %foo, 'IniConf::Tied', '_test.ini';
unless(tied %foo)
{
    print "not ok 2\n";
    exit 1;
}
print "ok 2\n";



unless(ref($foo{arthur}))
{
    print "not ok 3\n";
    exit 1;
}
print "ok 3\n";


print "not " unless($foo{arthur}->{something});
print "ok 4\n";

print "not " unless('Billy' eq $foo{gerald}->{something});
print "ok 5\n";

print 'not ' unless(5==keys %foo);
print "ok 6\n";

delete $foo{en};
print 'not ' if defined $foo{en};
print "ok 7\n";

my $fr=$foo{fr};
unless(ref($fr))
{
    print "not ok 8\n";
    exit 1;
}
print "ok 8\n";

print 'not ' unless(3==keys %$fr);
print "ok 9\n";

print 'not ' unless('Monde' eq $fr->{world});
print "ok 10\n";

delete ${$fr}{world};
print 'not ' if(defined($fr->{world}));
print "ok 11\n";

